Reply to email with signature picture problems

2017-01-23 12:36 - Esteve Navas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.1.3

Description

I've configured the reply to email feature and it works nicely, people can reply to the mail Redmine sends and the reply is added as a

Note.

The problem I have is that it does not work when the user has a picture attached to the signature, with a <img src=""> html tag. If I

have the signature in plain text it works without any issue.

I'm checking the production.log and this is the log when I add a note from Redmine:

Started PATCH "/redmine/issues/1961" for 192.168.200.100 at 2017-01-23 12:30:25 +0100

Processing by IssuesController#update as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"jhKmG0UwjXxniTl5XAavxbjXZrHpcOVsREn9BiLuuZwi2j+

NvN3+6Gz3+UDDUxb98rmr5YpVb72/Fmgob/LSuw==", "form_update_triggered_by"=>"", "issue"=>{"is_private"

=>"0", "project_id"=>"2", "tracker_id"=>"11", "subject"=>"Reply to mail isn't working", "descripti

on"=>"I create this ticket to make the tests for it.", "status_id"=>"2", "priority_id"=>"2", "assi

gned_to_id"=>"5", "start_date"=>"2017-01-22", "due_date"=>"", "custom_field_values"=>{"33"=>"IT", 

"34"=>"RedMine"}, "notes"=>"32454354352435432543543", "private_notes"=>"0", "lock_version"=>"12"},

 "last_journal_id"=>"7074", "commit"=>"Submit", "prev_issue_id"=>"1629", "next_issue_id"=>"1627", 

"issue_position"=>"4", "issue_count"=>"20", "id"=>"1961"}

  Current user: esteve.n (id=5)

  Rendered mailer/_issue.text.erb (4.8ms)

  Rendered mailer/issue_edit.text.erb within layouts/mailer (5.5ms)

  Rendered mailer/_issue.html.erb (0.8ms)

  Rendered mailer/issue_edit.html.erb within layouts/mailer (2.5ms)

Redirected to http://192.168.200.202/redmine/issues/1961?issue_count=20&issue_position=4&next_issu

e_id=1627&prev_issue_id=1629

Completed 302 Found in 1818ms (ActiveRecord: 21.3ms)

 This is the log when I try to add a note from email:

Started GET "/redmine/issues/1961?issue_count=20&issue_position=4&next_issue_id=1627&prev_issue_id

=1629" for 192.168.200.100 at 2017-01-23 12:30:57 +0100

Processing by IssuesController#show as HTML

  Parameters: {"issue_count"=>"20", "issue_position"=>"4", "next_issue_id"=>"1627", "prev_issue_id

"=>"1629", "id"=>"1961"}

  Current user: esteve.n (id=5)

  Rendered issues/_action_menu.html.erb (5.5ms)

  Rendered plugins/redmine_close_button/app/views/issues/_close_button.html.erb (0.9ms)

  Rendered issue_relations/_form.html.erb (2.9ms)

  Rendered issues/_relations.html.erb (4.4ms)

  Rendered issues/_history.html.erb (256.2ms)

  Rendered issues/_action_menu.html.erb (3.0ms)

  Rendered issues/_form_custom_fields.html.erb (1.9ms)

  Rendered issues/_attributes.html.erb (19.0ms)

  Rendered issues/_form.html.erb (31.2ms)

  Rendered attachments/_form.html.erb (2.1ms)

  Rendered issues/_edit.html.erb (37.1ms)

  Rendered issues/_sidebar.html.erb (4.8ms)

  Rendered watchers/_watchers.html.erb (4.7ms)

  Rendered issues/show.html.erb within layouts/base (355.3ms)

Completed 200 OK in 422ms (Views: 368.4ms | ActiveRecord: 9.5ms)

Saving attachment '/opt/redmine/redmine-3.3.1/files/2017/01/170123123106_nkfoclgkbojlghok.jpg' (55
74 bytes)

 Is seems that treats the picture as an attachment? Could be that the problem?

Thank you for your help.

History

#1 - 2017-01-23 12:46 - Esteve Navas

Ok, I just solved it!

I changed permissions of files folder to 777 and now it replies correctly. The picture isn't shown but the alternate text instead.

Thank you anyways! :)

#2 - 2017-01-23 12:57 - Esteve Navas

Now I have an additional issue, the new future folders created inside files folder will be 755, so I need to make Redmine to create the issues from

email as www-data:www-data, and I still don't know how to do it.

#3 - 2017-02-09 03:51 - Toshi MARUYAMA

- Category changed from Email notifications to Email receiving

#4 - 2017-02-09 03:56 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #3796.
